Bug 459063 - pppoe: Fix skb_unshare_check call position [rhel-4.8]
pppoe: Fix skb_unshare_check call position [rhel-4.8]
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.8
All Linux
medium Severity medium
: rc
: ---
Assigned To: Jiri Pirko
Martin Jenner
:
Depends On: 459062
Blocks: 461304
  Show dependency treegraph
 
Reported: 2008-08-14 02:42 EDT by Eugene Teo (Security Response)
Modified: 2015-05-04 21:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 15:32:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2008-08-14 02:42:35 EDT
+++ This bug was initially created as a clone of Bug #459062 +++

Description of problem:
The skb_unshare_check call needs to be made before pskb_may_pull, not after.

--- Additional comment from eteo@redhat.com on 2008-08-14 02:38:55 EDT ---

Proposed upstream patch:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=31bac44468257986484703cc09da8a9dcae88a36

--- Additional comment from eteo@redhat.com on 2008-08-14 02:40:32 EDT ---

Created an attachment (id=314284)
Upstream patch for this issue
Comment 1 RHEL Product and Program Management 2008-09-03 09:14:42 EDT
Updating PM score.
Comment 2 Vivek Goyal 2008-09-25 09:21:46 EDT
Committed in 78.11.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 5 errata-xmlrpc 2009-05-18 15:32:01 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1024.html

Note You need to log in before you can comment on or make changes to this bug.